コンテンツにスキップ

Macro Rendering Error

Exception: >>>>> Error: https://help.github.com/ja/articles/contexts-and-expression-syntax-for-github-actions

Traceback (most recent call last):
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/urllib3/response.py", line 437, in _error_catcher
    yield
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/urllib3/response.py", line 519, in read
    data = self._fp.read(amt) if not fp_closed else b""
  File "/usr/lib/python3.7/http/client.py", line 457, in read
    n = self.readinto(b)
  File "/usr/lib/python3.7/http/client.py", line 501, in readinto
    n = self.fp.readinto(b)
  File "/usr/lib/python3.7/socket.py", line 589, in readinto
    return self._sock.recv_into(b)
  File "/usr/lib/python3.7/ssl.py", line 1071, in recv_into
    return self.read(nbytes, buffer)
  File "/usr/lib/python3.7/ssl.py", line 929, in read
    return self._sslobj.read(len, buffer)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests/models.py", line 751, in generate
    for chunk in self.raw.stream(chunk_size, decode_content=True):
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/urllib3/response.py", line 576, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/urllib3/response.py", line 541, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "/usr/lib/python3.7/contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/urllib3/response.py", line 455, in _error_catcher
    raise ProtocolError("Connection broken: %r" % e, e)
urllib3.exceptions.ProtocolError: ("Connection broken: ConnectionResetError(104, 'Connection reset by peer')", ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/build/repo/main.py", line 102, in link
    res = session.get(url)
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests/sessions.py", line 543, in get
    return self.request('GET', url, **kwargs)
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests_cache/core.py", line 136, in request
    **kwargs
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests/sessions.py", line 530, in request
    resp = self.send(prep, **send_kwargs)
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests_cache/core.py", line 109, in send
    return send_request_and_cache_response()
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests_cache/core.py", line 97, in send_request_and_cache_response
    response = super(CachedSession, self).send(request, **kwargs)
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests/sessions.py", line 665, in send
    history = [resp for resp in gen] if allow_redirects else []
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests/sessions.py", line 665, in <listcomp>
    history = [resp for resp in gen] if allow_redirects else []
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests/sessions.py", line 245, in resolve_redirects
    **adapter_kwargs
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests_cache/core.py", line 109, in send
    return send_request_and_cache_response()
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests_cache/core.py", line 97, in send_request_and_cache_response
    response = super(CachedSession, self).send(request, **kwargs)
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests/sessions.py", line 683, in send
    r.content
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests/models.py", line 829, in content
    self._content = b''.join(self.iter_content(CONTENT_CHUNK_SIZE)) or b''
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/requests/models.py", line 754, in generate
    raise ChunkedEncodingError(e)
requests.exceptions.ChunkedEncodingError: ("Connection broken: ConnectionResetError(104, 'Connection reset by peer')", ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/macros/plugin.py", line 263, in render
    return md_template.render(**self.variables)
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/jinja2/environment.py", line 1090, in render
    self.environment.handle_exception()
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/jinja2/environment.py", line 832, in handle_exception
    reraise(*rewrite_traceback_stack(source=source))
  File "/opt/buildhome/python3.7/lib/python3.7/site-packages/jinja2/_compat.py", line 28, in reraise
    raise value.with_traceback(tb)
  File "<template>", line 9, in top-level template code
  File "/opt/build/repo/main.py", line 149, in link
    raise Exception(f">>>>> Error: {url}")
Exception: >>>>> Error: https://help.github.com/ja/articles/contexts-and-expression-syntax-for-github-actions